/*
	チャット選択スクリプト 動画配信サイトサンプル２

	CHAT_ID で指定したHTML要素からチャットの内容を抽出するJScriptを記述します。
	JScript又はjavascriptと、DOMの知識が少々必要です。

	親スクリプトからの入力
		elements_li[i] に、CHAT_ITEM_TAG で指定したHTML要素の i 番目が入っています
	親スクリプトへの出力
		str_time に時刻を設定します
		str_name に名前を設定します
		str_content に発言内容を設定します
*/


var spans = elements_li[i].getElementsByTagName("span");

if(spans.length == 3) {
	//時刻
	str_time = spans[1].innerText;
	//名前
	str_name = spans[0].innerText;
	//内容
	str_content = spans[2].innerText;
} else if(spans.length == 2) {
	//時刻
	str_time = spans[0].innerText;
	//名前
	str_name = "";
	//内容
	str_content = spans[1].innerText;
} else {
	str_time = "";
	str_name = "";
	str_content = "";
}

